Package org.wso2.carbon.task.stub

# Interface TaskAdmin

All Known Implementing Classes:
  `TaskAdminStub`

public interface TaskAdmin

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTaskDescription(org.apache.axiom.om.OMElement extraElement13)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `deleteTaskDescription(String s19, String group20)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `editTaskDescription(org.apache.axiom.om.OMElement extraElement30)`
  Auto generated method signature for Asynchronous Invocations
  `String[]`
  `getAllJobGroups()`
  Auto generated method signature
  `TaskData[]`
  `getAllTaskData()`
  Auto generated method signature
  `org.apache.axiom.om.OMElement`
  `getAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement15)`
  Auto generated method signature
  `org.apache.axiom.om.OMElement`
  `getTaskDescription(String s32, String group33)`
  Auto generated method signature
  `boolean`
  `isContains(String s22, String group23)`
  Auto generated method signature
  `org.apache.axiom.om.OMElement`
  `loadTaskClassProperties(String className40, String group41)`
  Auto generated method signature
  `void`
  `startgetAllJobGroups(TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetAllTaskData(TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement15, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetTaskDescription(String s32, String group33, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startisContains(String s22, String group23, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startloadTaskClassProperties(String className40, String group41, TaskAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations

- ## Method Details

  - ### addTaskDescription

    void addTaskDescription(org.apache.axiom.om.OMElement extraElement13) throws RemoteException, TaskManagementException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### getAllTaskDescriptions

    org.apache.axiom.om.OMElement getAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement15) throws RemoteException, TaskManagementException
    Auto generated method signature
    Parameters:
      `getAllTaskDescriptions14` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### startgetAllTaskDescriptions

    void startgetAllTaskDescriptions(org.apache.axiom.om.OMElement extraElement15, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getAllTaskDescriptions14` -
    Throws:
      `RemoteException`

  - ### deleteTaskDescription

    void deleteTaskDescription(String s19, String group20) throws RemoteException, TaskManagementException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### isContains

    boolean isContains(String s22, String group23) throws RemoteException, TaskManagementException
    Auto generated method signature
    Parameters:
      `isContains21` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### startisContains

    void startisContains(String s22, String group23, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `isContains21` -
    Throws:
      `RemoteException`

  - ### getAllJobGroups

    String[] getAllJobGroups() throws RemoteException
    Auto generated method signature
    Parameters:
      `getAllJobGroups26` -
    Throws:
      `RemoteException`

  - ### startgetAllJobGroups

    void startgetAllJobGroups(TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getAllJobGroups26` -
    Throws:
      `RemoteException`

  - ### editTaskDescription

    void editTaskDescription(org.apache.axiom.om.OMElement extraElement30) throws RemoteException, TaskManagementException
    Auto generated method signature for Asynchronous Invocations
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### getTaskDescription

    org.apache.axiom.om.OMElement getTaskDescription(String s32, String group33) throws RemoteException, TaskManagementException
    Auto generated method signature
    Parameters:
      `getTaskDescription31` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### startgetTaskDescription

    void startgetTaskDescription(String s32, String group33, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getTaskDescription31` -
    Throws:
      `RemoteException`

  - ### getAllTaskData

    TaskData[] getAllTaskData() throws RemoteException, TaskManagementException
    Auto generated method signature
    Parameters:
      `getAllTaskData36` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### startgetAllTaskData

    void startgetAllTaskData(TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getAllTaskData36` -
    Throws:
      `RemoteException`

  - ### loadTaskClassProperties

    org.apache.axiom.om.OMElement loadTaskClassProperties(String className40, String group41) throws RemoteException, TaskManagementException
    Auto generated method signature
    Parameters:
      `loadTaskClassProperties39` -
    Throws:
      `TaskManagementException` - :
      `RemoteException`

  - ### startloadTaskClassProperties

    void startloadTaskClassProperties(String className40, String group41, TaskAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `loadTaskClassProperties39` -
    Throws:
      `RemoteException`